<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_eb56828483919e" . "173c6ab772a8fa7" . "d6d" => base64_decode("Y29tbW9uLnR5cGUuZG9jdW1lbn" . "Q="), "_9410d17985408" . "ab6a2962e6fdb6" . "21c5e" => base64_decode("ZG9jdW1lbnRzLm5hbWVwYXR0ZXJudGF" . "nLnZlcg=="), "_0c5123aa744f69bbc" . "0e8b3ea2f6e847d" => base64_decode("bG1zZw" . "=="), "_7ee25317ffedb4fe" . "27bf0b5036469b94" => base64_decode("Y29tbW" . "9uLnR5" . "cGUuZm" . "9sZGVy"), "_5fde92609a4" . "3c9160462278" . "aec060406" => base64_decode("Y29tbW9uLnV" . "ua25vd24="), "_86e12158655092a9838a" . "837f6cf6d639" => base64_decode("Li4vY29tbW9uL2VybXNfcG" . "tnLnBocA=="));






abstract class TrashObjectERMS extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        require_once $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_86e1215865509" . "2a9838a837f6cf" . "6d639"];
        global $g_erms_browser;
        if ($g_erms_browser->DeleteERMSObjectById($this->obj_id, $this->aggregation, false, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($g_erms_browser->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    
    public function Restore()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_86e121586550" . "92a9838a837f6" . "cf6d639"];
        global $g_erms_browser;
        if (!$g_erms_browser->UndeleteERMSObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($g_erms_browser->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_FOLDER:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_7ee25317ffedb" . "4fe27bf0b50364" . "69b94"]);
            case AGGREGATION_DATA:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_eb56828483919e173c6ab" . "772a8fa7d6d"]);
            case AGGREGATION_DOC_VERSION:
                return $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_0c5123a" . "a744f69b" . "bc0e8b3e" . "a2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_9410d17985408ab6a2962e" . "6fdb621c5e"]);
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_5fde926" . "09a43c91" . "60462278" . "aec06040" . "6"]);
    }
}